[package]
name = "nu_plugin_highlight"
version = "1.4.7+0.105.2"
authors = ["Tim 'Piepmatz' Hesse"]
edition = "2024"
repository = "https://github.com/cptpiepmatz/nu-plugin-highlight"
description = "A nushell plugin for syntax highlighting"
license = "MIT"
keywords = ["nu", "plugin", "syntax", "highlighting"]
categories = ["command-line-utilities", "development-tools", "value-formatting"]

[workspace.dependencies]
# share dependencies with build dependencies
syntect = "5"
bat = { version = "0.24", default-features = false }

[dependencies]
# nu
nu-plugin = { version = "0.105.2", path = "../nushell/crates/nu-plugin" }
nu-protocol = { version = "0.105.2", path = "../nushell/crates/nu-protocol" }
nu-path = { version = "0.105.2", path = "../nushell/crates/nu-path" }

# highlighting
syntect = { workspace = true }
nu-ansi-term = "0.50"
ansi_colours = "1"
bat = { workspace = true }

# guess the type
mime_guess = "2"

[build-dependencies]
patch-apply = "0.8.3"
syntect = { workspace = true }
bat = { workspace = true }
